Not 1.04 yet, but there is Snow Leopard compatibility listed in the rel. notes.

Keith W.